﻿init offset = -1

screen nvl(dialogue, items=None):
    window:
        style "nvl_window"
        background Frame("0GUI/say.png", 2,2) xsize 900 yfill True align .0,1.0
        vbox spacing 30 align .0,.5:
            use nvl_dialogue(dialogue)

            vbox spacing 10 xalign .5:
                for i in items:
                    button:
                        at btn
                        text i.caption size 32
                        action i.action
                        style "nvl_button"
                        xminimum 800 background Frame("0GUI/say.png", 2,2) xoffset 80

    add SideImage() xalign 0.0 yalign 1.0


screen nvl_dialogue(dialogue):
    for a,d in enumerate(dialogue):
        window:
            xoffset 100 yalign .5 yfill False
            id d.window_id
            if not d == dialogue[-1]:
                at alpha (a*.1)
            hbox spacing 40:
                yalign .5
                if d.who is not None:
                    text d.who:
                        id d.who_id size 24
                text d.what:
                    id d.what_id size 24

## This controls the maximum number of NVL-mode entries that can be displayed at
## once.
define config.nvl_list_length = 5

style nvl_button is zero
style nvl_button_text is zero

style nvl_window:
    # xfill True
    # yfill True

    # background "#000c"
    padding (40,40)


