﻿init offset = -1

## Say screen ##################################################################
screen say(who, what):
    style_prefix "say"
    # window:
    #     if who is not None:
    #         window:
    #             align .5,.0 yoffset -80
    #             id "namebox"
    #             style "namebox"
    #             text who id "who"
    fixed fit_first True:
        align .5,.95
        frame:
            id "window"
            background Frame("0GUI/say_frame.png", 44,0)
            ysize 100 xminimum 800 xpadding 40
            text what id "what" align .5,.5
        button:
            align 0.0,.5 xoffset -40
            add "0GUI/say_arrow.png"
            action Rollback()
        button:
            align 1.0,.5 xoffset 40
            add "0GUI/say_arrow_1.png"
            action Preference("auto-forward", "toggle")
        if who is not None:
            frame:
                id "namebox"
                padding 0,0 ysize 50 xalign .5 yalign .0 yoffset -20
                text who id "who" outlines [(4,"#7f005d99", 0,0)]

    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


## Make the namebox available for styling through the Character object.
init python:
    config.character_id_prefixes.append('namebox')





## Input screen ################################################################

screen input(prompt):
    style_prefix "input"

    frame:
        xsize 400
        vbox:
            text prompt
            input id "input"

style input_frame is zero
style input_button is zero
style input_text is zero
style input_vbox is zero


## Choice screen ###############################################################

screen choice(items):
    style_prefix "choice"

    vbox:
        for i in items:
            button:
                xsize 900
                text i.caption
                action i.action


## When this is true, menu captions will be spoken by the narrator. When false,
## menu captions will be displayed as empty buttons.
define config.narrator_menu = True


style choice_button is zero
style choice_text is zero
style choice_vbox is zero

